Groovy Documentation

## org.vertx.groovy.core.net.impl
[Groovy] Class DefaultNetServer

    java.lang.Object
      org.vertx.groovy.core.net.NetServer
          org.vertx.groovy.core.net.impl.DefaultNetServer

    class DefaultNetServer
    extends NetServer

Authors:
  Tim Fox

Field Summary

Fields inherited from class NetServer
jServer

Constructor Summary
`DefaultNetServer(VertxInternal vertx, java.util.Map props = null)`

Method Summary

Methods inherited from class NetServer

close, close, connectHandler, getAcceptBacklog, getKeyStorePassword, getKeyStorePath, getReceiveBufferSize, getSendBufferSize, getTrafficClass, getTrustStorePassword, getTrustStorePath, isReuseAddress, isSSL, isSoLinger, isTCPKeepAlive, isTCPNoDelay, listen, listen, setAcceptBacklog, setClientAuthRequired, setKeyStorePassword, setKeyStorePath, setReceiveBufferSize, setReuseAddress, setSSL, setSendBufferSize, setSoLinger, setTCPKeepAlive, setTCPNoDelay, setTrafficClass, setTrustStorePassword, setTrustStorePath

Constructor Detail

### DefaultNetServer

    DefaultNetServer(VertxInternal vertx, java.util.Map props = null)

Groovy Documentation